# Generated from timestamp-1.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name timestamp

Name: rubygem-%{gem_name}
Version: 1.0.2
Release: 1%{?dist}
Summary: Time.timestamp
License: ISC License
URL: http://phluid61.github.com/timestamp-gem/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby-devel
# Compiler is required for build of gem binary extension.
# https://fedoraproject.org/wiki/Packaging:C_and_C++#BuildRequires_and_Requires
BuildRequires: gcc
# BuildRequires: rubygem(rake-compiler)

%description
== Time.timestamp
Defines <tt>Time::timestamp</tt> and <tt>Time::unix_timestamp</tt>.
See the original discussion at
{Ruby-Lang}[https://bugs.ruby-lang.org/issues/8096]
:call-seq:
Time::timestamp  -> Integer
Returns a nanosecond-precision timestamp from the system's monotonic
clock. Note that the resolution of the measured time is system-
dependent (i.e. while the value displayed is always an integer number
of nanoseconds, the values may not necessarily change in increments of
exactly one).
This time value does not correlate to any absolute, real-world time
system; it is only useful for measuring relative (or elapsed) times at
a high granularity.  For example, benchmark measurements.
:call-seq:
Time::unix_timestamp  -> Integer
Time::unix_time       -> Integer
Returns the current real-world time as a whole number of seconds since
the Epoch (1-Jan-1970).
:call-seq:
Time::unix_microtime  -> Float
Returns the current real-world time as a floating-point number of
seconds since the Epoch (1-Jan-1970).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{gem_extdir_mri}
cp -a .%{gem_extdir_mri}/{gem.build_complete,*.so} %{buildroot}%{gem_extdir_mri}/

# Prevent dangling symlink in -debuginfo (rhbz#878863).
rm -rf %{buildroot}%{gem_instdir}/ext/


%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_extdir_mri}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Thu Sep 16 2021 mockbuilder - 1.0.2-1
- Initial package
